Обход ограничений безопасности в Smarty

Дата публикации:
29.10.2008
Всего просмотров:
1764
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Smarty 2.x
Уязвимые версии: Smarty версии до 2.6.20

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за ошибки в "regex_replace" при использовании массивов. Удаленный пользователь может обойти ограничения безопасности шаблонов и выполнить произвольный PHP код в приложении, которое полагается на функционал безопасности шаблонов.

URL производителя: smarty.php.net

Решение: Установите последнюю версию 2.6.20 с сайта производителя.

Ссылки: http://www.smarty.net/misc/NEWS

или введите имя

CAPTCHA